<?php

namespace CouponsPlus\App\Conditions\Stubs\Filters;

use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\App\Conditions\IntersectionFilter;
use CouponsPlus\App\Coupon\Abilities\DashboardCardData;

class Attributes implements DashboardCardData
{
    public const TYPE = 'Attributes';
    const SET = IntersectionFilter::class;

    public static function getName() : string
    {
        return __('Attributes', 'coupons-plus-for-woocommerce');
    }

    public static function getDescription() : string
    {
        return __('Can be used alone or in combination with other filters, like Categories or Variable products. For example, to filter items based on their attributes and restricted to specific categories or products.', 'coupons-plus-for-woocommerce');
    }

    public static function getNotes(): array
    {
        return [];
    }

    public static function getUseCases(): Collection
    {
        return new Collection([]);
    }
}
